> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get scenario data

> POST /public/v1/project-list/projects/{projectId}/models/{modelId}/scenarios/{scenarioId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))

- **modelId** (integer(int64))



### Body: application/json (object)

- **columns** (array[string])

- **dataDate** (string(date-time))



## Responses
### 200
OK

#### Body: */* (object)
object

[Powered by Bump.sh](https://bump.sh)
